Bienvenue, Invité. Merci de vous connecter ou de vous enregister.

Auteur Sujet: [MOD] Gestion des attaques (1.1.4)  (Lu 21637 fois)

Gilga

  • Complètement accro !
  • *****
  • Messages: 945
  • Karma: +12/-8
[MOD] Gestion des attaques (1.1.4)
« le: 11 janvier 2012, 12:57:30 »
petits trucs et machins à corriger:

dans ce mod il y a plusieurs onglets,
  • dans espace BBcode (par ex mais c'est valable pour d'autres onglets), les champs de date sont trop petits:


en modifiant comme ceci c'est ok: (passer de size 2 à size 10)
echo"du : <input type='text' name='date_from' id='date_from' size='10' maxlength='2' value='$pub_date_from' /> ";




ce serait mieux que le titre soit avec dates au pluriel.

pour le titre gains en bbcode   .... envisager pertes  :-[
donc mettre titre Gains/Pertes en bbcode.

  • dans onglet statistiques, l'affichage des jours se fait en anglais


il n'y a pas de graphique disponible rentabilité mensuelle (du mois en cours)
mais c'est peut etre pour quand un mois était complet (genre le mois précedent, mais ça je peux pas tester)


  • idem, pour titre categorie couleur dans color picker de l'onglet admin (anglais)
  • je viens de constater un truc concernant les RC:
dans le cas de tentas de lune par ex: le rapport de combat que le défenseur envoit à ogspy est pris en compte dans les rc de l'attaquant dans le mod gestion attaque

  • est ce qu'il ne serait pas intéressant d'ajouter une colonne avec les coordonnées de départ d'attaque ?
ce qui permettrait de trier ou epurer plus facilement les rc (genre les rc en position 16 expedition)

  • un truc serait bien aussi , c'est de pouvoir régler les periodes d'affichage par defaut (et pas que celle du jour)
  • dans onglet espace archives:


écrire: antérieur

suggérer le type de champs pour le mois car jusque là, le mod affiche les mois avec abreviation en 3 lettres et ici le champs attend chiffre

« Modifié: 13 août 2016, 00:46:22 par darknoon »
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2

Dudule

  • Confirmé
  • ****
  • Messages: 188
  • Karma: +1/-0
Re : Gestion des attaques (1.0.2)
« Réponse #1 le: 11 janvier 2012, 14:20:42 »
Je confirme tes dires.
Je test actuellement ce mod sur mon serveur OGSpy aussi, mise à part ça, je ne vois aucun soucis.
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4

Gilga

  • Complètement accro !
  • *****
  • Messages: 945
  • Karma: +12/-8
Re : Gestion des attaques (1.0.2)
« Réponse #2 le: 11 janvier 2012, 14:29:03 »
c'est vrai que c'est anodin, mais autant tendre à améliorer les choses
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2

Dudule

  • Confirmé
  • ****
  • Messages: 188
  • Karma: +1/-0
Re : Gestion des attaques (1.0.2)
« Réponse #3 le: 14 janvier 2012, 02:28:57 »
Ah ben bien sur !

Mais j'y pense on peut exporter les rapports de la veille du mois ect...
On pourrait pas avoir deux petits calendrier pour sélectionner la date de départ et de fin ?

On pourrait faire des durée personnalisé comme ça !
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4

Jedinight

  • Dev OGSteam
  • Complètement accro !
  • ***
  • Messages: 1337
  • Karma: +7/-2
Re : Gestion des attaques (1.0.2)
« Réponse #4 le: 16 janvier 2012, 11:16:08 »
J'ai améliorer les graphiques et Dark à augmenté la taille des champs.

C'est commiter sur le SVN.

Le truc, c'est que pour le graph et faut ajouter des librairies de js dans le dossier js d'OGSPY

Mods : Gestion des attaques, Convertisseur, Xtense
Applis : Xtense for Firefox, OGSpy Android
Actuellement en dev : OGSpy Android

Gilga

  • Complètement accro !
  • *****
  • Messages: 945
  • Karma: +12/-8
Re : Gestion des attaques (1.0.2)
« Réponse #5 le: 16 janvier 2012, 14:56:39 »
explique le machin des js , svp

n'auriez vous pas mieux fait de modifier le n° de version sur le trunk ?
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2

Jedinight

  • Dev OGSteam
  • Complètement accro !
  • ***
  • Messages: 1337
  • Karma: +7/-2
Re : Gestion des attaques (1.0.2)
« Réponse #6 le: 16 janvier 2012, 15:36:04 »
C'est pas faut pour le num de version mais c'est secondaire pour le moment.

Concernant les js à ajouter, c'est highcharts.js et jquery.js; tu les trouveras dans le trunck OGSPY dans le répertoire js.

Mods : Gestion des attaques, Convertisseur, Xtense
Applis : Xtense for Firefox, OGSpy Android
Actuellement en dev : OGSpy Android

Gilga

  • Complètement accro !
  • *****
  • Messages: 945
  • Karma: +12/-8
Re : Gestion des attaques (1.0.2)
« Réponse #7 le: 16 janvier 2012, 16:12:25 »
j'ai uploadé dans mon rep ogspy/ les 2 *.js ci-dessus

malgré déco reco rien , pas de graphique

faut peut etre faire un truc particulier ? genre editer un fichier pour faire pointer vers les js ?
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2

Shad

  • Dev OGSteam
  • Complètement accro !
  • ***
  • Messages: 385
  • Karma: +3/-0
Re : Gestion des attaques (1.0.2)
« Réponse #8 le: 16 janvier 2012, 18:28:32 »
Perso, j'ai sauvegarder les données du dossier parameter et j'ai virer tout le reste. Apres j'ai upload tout le ogspy et no problem.

Gilga

  • Complètement accro !
  • *****
  • Messages: 945
  • Karma: +12/-8
Re : Gestion des attaques (1.0.2)
« Réponse #9 le: 16 janvier 2012, 18:39:54 »
le dossier parameter, c'est les différents reglage, log des users etc....

est ce que la technique que tu proposes n'as aucun risque pour les données ?


Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2

Shad

  • Dev OGSteam
  • Complètement accro !
  • ***
  • Messages: 385
  • Karma: +3/-0
Re : Gestion des attaques (1.0.2)
« Réponse #10 le: 16 janvier 2012, 19:53:23 »
attend j'avais pas compris que c'était un serveur en prod mdr ^^

Fais une mise a jour basique dans ce cas.

Gilga

  • Complètement accro !
  • *****
  • Messages: 945
  • Karma: +12/-8
Re : Gestion des attaques (1.0.2)
« Réponse #11 le: 16 janvier 2012, 20:20:55 »
oui, oui, je vis dangereusement

mais au depart, c'est pmon ogspy perso que j'ai mis a dispo comme entrainement à mon ally
mais ils s'en servent intensivement etc...

donc j'ose plus trop toucher aux classements, re, rc etc..

en tout cas c'est de bon augure pour la suite
cela faisait un bon moment que je cherchais une ally com ça
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2

Dudule

  • Confirmé
  • ****
  • Messages: 188
  • Karma: +1/-0
Re : Gestion des attaques (1.0.2)
« Réponse #12 le: 17 janvier 2012, 17:34:39 »
Idem que toi Gigla, c'est mon OGSpy perso que j'ai donner des logs a 2/3 collègues histoires de faire des tests, et cela leur plait bien ^^

J'ai moi aussi fait une mise à jour en uploadant les fichiers. même résultat que Gilga.

Quand tu dit de faire une mise à jour basique Shad que veut tu dire exactement ?
hébergeur : Free-h , ogspy 3.1.0, mod xtense 2.4.0 , Script GM xtense 2.4.0.4

Gilga

  • Complètement accro !
  • *****
  • Messages: 945
  • Karma: +12/-8
Re : Gestion des attaques (1.0.2)
« Réponse #13 le: 31 janvier 2012, 01:05:27 »
avec le passage à la v3.1, je vois enfin ces chouettes graphiques
mais il y a un problème d'affichage des accents
Windows seven pro, Firefox 15.0.1
Dans ogame v5.1.x  univers quantum   VITESSE X2 
sur ogspy 3.1.0, sur wamp server (php 5.3.13, mysql 5.5.24) et sur OVH (php 5.3.16 )
script GM xtense Version: 2.4.8.1 et/ou barre xtense 2.4.8, mod xtense 2.4.2

Jedinight

  • Dev OGSteam
  • Complètement accro !
  • ***
  • Messages: 1337
  • Karma: +7/-2
Re : Gestion des attaques (1.0.2)
« Réponse #14 le: 31 janvier 2012, 10:07:00 »
Je l'ai vu également ce bug, mais je sais pas pourquoi :/

Mods : Gestion des attaques, Convertisseur, Xtense
Applis : Xtense for Firefox, OGSpy Android
Actuellement en dev : OGSpy Android